Subject: Re: bug#51982: Erroneous handling of local variables in byte-compiled nested lambdas

From: Paul Pogonyshev <[email-masked]>
Date: Sat, 20 Nov 2021 18:22:43 +0100

> you cannot count on an eventual fix to be back-ported to Emacs 28

Uh, it's not even released yet. Are the stabilization rules so strict that
even a *fix* cannot go in? Unless it is going to be a rewrite of half the
file...

Paul

On Sat, 20 Nov 2021 at 18:04, Mattias Engdegård <[email-masked]> wrote:

> 20 nov. 2021 kl. 17.54 skrev Paul Pogonyshev <[email-masked]>:
>
> > I consider this bug pretty important.
>
> You are not alone! However, it's been there for quite a long time so you
> cannot count on an eventual fix to be back-ported to Emacs 28, much less
> older releases. If you value compatibility with old versions, be prepared
> for work-arounds.
>
> For that matter I know exactly what's wrong and am currently weighing
> various solutions.
>
>